Summary: A parser and tools for SGML plus DSSSL.
Name: jade
%define vermajor 1
%define verminor 2.1
Version: %{vermajor}.%{verminor}
Release: 9
Prereq: sgml-common
Source: ftp://sourceware.cygnus.com/pub/docbook-tools/SOURCES/jade.tgz
Copyright: Copyright 1997 James Clark
Group: Applications/Text
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root
Prefix: /usr

%description
Jade (James' DSSSL Engine) is an implementation of the DSSSL style
language.

%prep
%setup -c

%build
cd jade

export CXXFLAGS="-O2 -ggdb"
%configure --prefix=%{prefix} --enable-static \
 --enable-default-catalog=%{prefix}/lib/sgml/CATALOG
make

%install
# NOTE: in installing I am also copying a bunch of .h files into
# $(prefix)/include/sp/{generic,include,lib}.  This is so that the
# library API can be used.  It's an ugly kludge, and the best way
# would be for James Clark to tell us what the appropriate list of
# files to be included is.

rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT
mkdir -p \
 $RPM_BUILD_ROOT/%{prefix}/{bin,doc,lib/sgml,include/sp/{generic,include,lib}}

cd jade
make install prefix=$RPM_BUILD_ROOT/%{prefix}
mv $RPM_BUILD_ROOT/%{prefix}/bin/sx $RPM_BUILD_ROOT/%{prefix}/bin/sgml2xml
install generic/*.h $RPM_BUILD_ROOT/%{prefix}/include/sp/generic/
install include/*.h $RPM_BUILD_ROOT/%{prefix}/include/sp/include/
install lib/*.h $RPM_BUILD_ROOT/%{prefix}/include/sp/lib/
# install jade/jade $RPM_BUILD_ROOT/%{prefix}/bin/jade 
strip $RPM_BUILD_ROOT/%{prefix}/bin/jade 
strip $RPM_BUILD_ROOT/%{prefix}/bin/nsgmls   
strip $RPM_BUILD_ROOT/%{prefix}/bin/spam     
strip $RPM_BUILD_ROOT/%{prefix}/bin/sgmlnorm 
strip $RPM_BUILD_ROOT/%{prefix}/bin/spent    
cp dsssl/catalog $RPM_BUILD_ROOT/%{prefix}/lib/sgml/dsssl.cat
cp dsssl/dsssl.dtd dsssl/style-sheet.dtd dsssl/fot.dtd \
  $RPM_BUILD_ROOT/%{prefix}/lib/sgml/

find $RPM_BUILD_ROOT -type f -name "*.so*" -exec strip --strip-unneeded {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post
# since old-postun is run *after* new-post, we must always cycle.
V=%{version}-%{release}
%{prefix}/bin/install-catalog --install dsssl --version $V >/dev/null

%postun
# since old-postun is run *after* new-post, we must always cycle.
V=%{version}-%{release}
%{prefix}/bin/install-catalog --remove dsssl --version $V >/dev/null

%files
%defattr(-,root,root)
%doc jade/doc/ jade/jadedoc/ jade/dsssl/ jade/pubtext/ jade/unicode/ jade/README jade/COPYING jade/VERSION
%{prefix}/bin/jade
%{prefix}/bin/nsgmls
%{prefix}/bin/sgml2xml
%{prefix}/bin/sgmlnorm
%{prefix}/bin/spam
%{prefix}/bin/spent
%{prefix}/lib/*
%{prefix}/include/*

%changelog
* Mon Feb 21 2000 Matt Wilson <msw@redhat.com>
- build with CXXFLAGS="-O2 -ggdb" to work around segfault on alpha

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- strip binaries

* Wed Jan  5 2000 Bill Nottingham <notting@redhat.com>
- sanitize spec file some

* Tue Aug 17 1999 Tim Powers <timp@redhat.com>
- fixed conflict problem with sgml-tools

* Sat Jul 17 1999 Tim Powers <timp@redhat.com>
- changed buildroot path to /var/tmp
- rebuilt for 6.1

* Fri Apr 23 1999 Michael K. Johnson <johnsonm@redhat.com>
- quiet scripts

* Thu Apr 23 1999 Owen Taylor <otaylor@redhat.com>
- Made requires for sgml-common into prereq
